Show / Hide Table of Contents

# Class OpenIddictConstants.Errors

##### Inheritance

System.Object
OpenIddictConstants.Errors

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class Errors

### Fields

#### AccessDenied

##### Declaration

    public const string AccessDenied = "access_denied"

##### Field Value

Type | Description
--- | ---
System.String |

#### AccountSelectionRequired

##### Declaration

    public const string AccountSelectionRequired = "account_selection_required"

##### Field Value

Type | Description
--- | ---
System.String |

#### AuthorizationPending

##### Declaration

    public const string AuthorizationPending = "authorization_pending"

##### Field Value

Type | Description
--- | ---
System.String |

#### ConsentRequired

##### Declaration

    public const string ConsentRequired = "consent_required"

##### Field Value

Type | Description
--- | ---
System.String |

#### ExpiredToken

##### Declaration

    public const string ExpiredToken = "expired_token"

##### Field Value

Type | Description
--- | ---
System.String |

#### InsufficientAccess

##### Declaration

    public const string InsufficientAccess = "insufficient_access"

##### Field Value

Type | Description
--- | ---
System.String |

#### InsufficientScope

##### Declaration

    public const string InsufficientScope = "insufficient_scope"

##### Field Value

Type | Description
--- | ---
System.String |

#### InteractionRequired

##### Declaration

    public const string InteractionRequired = "interaction_required"

##### Field Value

Type | Description
--- | ---
System.String |

#### InvalidClient

##### Declaration

    public const string InvalidClient = "invalid_client"

##### Field Value

Type | Description
--- | ---
System.String |

#### InvalidGrant

##### Declaration

    public const string InvalidGrant = "invalid_grant"

##### Field Value

Type | Description
--- | ---
System.String |

#### InvalidRequest

##### Declaration

    public const string InvalidRequest = "invalid_request"

##### Field Value

Type | Description
--- | ---
System.String |

#### InvalidRequestObject

##### Declaration

    public const string InvalidRequestObject = "invalid_request_object"

##### Field Value

Type | Description
--- | ---
System.String |

#### InvalidRequestUri

##### Declaration

    public const string InvalidRequestUri = "invalid_request_uri"

##### Field Value

Type | Description
--- | ---
System.String |

#### InvalidScope

##### Declaration

    public const string InvalidScope = "invalid_scope"

##### Field Value

Type | Description
--- | ---
System.String |

#### InvalidToken

##### Declaration

    public const string InvalidToken = "invalid_token"

##### Field Value

Type | Description
--- | ---
System.String |

#### LoginRequired

##### Declaration

    public const string LoginRequired = "login_required"

##### Field Value

Type | Description
--- | ---
System.String |

#### MissingToken

##### Declaration

    public const string MissingToken = "missing_token"

##### Field Value

Type | Description
--- | ---
System.String |

#### RegistrationNotSupported

##### Declaration

    public const string RegistrationNotSupported = "registration_not_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### RequestNotSupported

##### Declaration

    public const string RequestNotSupported = "request_not_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### RequestUriNotSupported

##### Declaration

    public const string RequestUriNotSupported = "request_uri_not_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### ServerError

##### Declaration

    public const string ServerError = "server_error"

##### Field Value

Type | Description
--- | ---
System.String |

#### SlowDown

##### Declaration

    public const string SlowDown = "slow_down"

##### Field Value

Type | Description
--- | ---
System.String |

#### TemporarilyUnavailable

##### Declaration

    public const string TemporarilyUnavailable = "temporarily_unavailable"

##### Field Value

Type | Description
--- | ---
System.String |

#### UnauthorizedClient

##### Declaration

    public const string UnauthorizedClient = "unauthorized_client"

##### Field Value

Type | Description
--- | ---
System.String |

#### UnsupportedGrantType

##### Declaration

    public const string UnsupportedGrantType = "unsupported_grant_type"

##### Field Value

Type | Description
--- | ---
System.String |

#### UnsupportedResponseType

##### Declaration

    public const string UnsupportedResponseType = "unsupported_response_type"

##### Field Value

Type | Description
--- | ---
System.String |

#### UnsupportedTokenType

##### Declaration

    public const string UnsupportedTokenType = "unsupported_token_type"

##### Field Value

Type | Description
--- | ---
System.String |